> ## Documentation Index
> Fetch the complete documentation index at: https://docs.samplehc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Calculate patient cost for a line item

> Calculates the cost of a patient's services based on the provided information.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/samplehc/openapi.documented.yml post /api/v2/clearinghouse/patient-cost
openapi: 3.0.3
info:
  title: Sample Healthcare API
  description: API for Sample Healthcare
  version: 1.0.0
servers: []
security: []
paths:
  /api/v2/clearinghouse/patient-cost:
    post:
      tags:
        - Clearinghouse
      summary: Calculate patient cost for a line item
      description: >-
        Calculates the cost of a patient's services based on the provided
        information.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                eligibilityResponses:
                  type: array
                  items:
                    type: object
                    properties:
                      meta:
                        type: object
                        properties:
                          senderId:
                            type: string
                          submitterId:
                            type: string
                          billerId:
                            type: string
                          applicationMode:
                            type: string
                            enum:
                              - production
                              - test
                              - information
                          traceId:
                            type: string
                          outboundTraceId:
                            type: string
                        additionalProperties: false
                      controlNumber:
                        type: string
                      reassociationKey:
                        type: string
                      tradingPartnerServiceId:
                        type: string
                      provider:
                        type: object
                        properties:
                          providerName:
                            type: string
                          providerFirstName:
                            type: string
                          providerOrgName:
                            type: string
                          middleName:
                            type: string
                          suffix:
                            type: string
                          entityIdentifier:
                            type: string
                            enum:
                              - Provider
                              - Third-Party Administrator
                              - Employer
                              - Hospital
                              - Facility
                              - Gateway Provider
                              - Plan Sponsor
                              - Payer
                          entityType:
                            type: string
                            enum:
                              - Person
                              - Non-Person Entity
                          npi:
                            type: string
                            pattern: ^\d{10}$
                          providerCode:
                            type: string
                            enum:
                              - AD
                              - AT
                              - BI
                              - CO
                              - CV
                              - H
                              - HH
                              - LA
                              - OT
                              - P1
                              - P2
                              - PC
                              - PE
                              - R
                              - RF
                              - SB
                              - SK
                              - SU
                          referenceIdentification:
                            type: string
                          ssn:
                            type: string
                            pattern: ^\d{9}$
                          federalTaxpayersIdNumber:
                            type: string
                            pattern: ^\d{9}$
                          payorIdentification:
                            type: string
                          pharmacyProcessorNumber:
                            type: string
                          serviceProviderNumber:
                            type: string
                          servicesPlanID:
                            type: string
                          address:
                            type: object
                            properties:
                              address1:
                                type: string
                                minLength: 1
                                maxLength: 55
                              address2:
                                type: string
                                minLength: 1
                                maxLength: 55
                              city:
                                type: string
                                minLength: 2
                                maxLength: 30
                              state:
                                type: string
                                enum:
                                  - NL
                                  - PE
                                  - NS
                                  - NB
                                  - QC
                                  - 'ON'
                                  - MB
                                  - SK
                                  - AB
                                  - BC
                                  - YT
                                  - NT
                                  - NU
                                  - DC
                                  - AS
                                  - GU
                                  - MP
                                  - PR
                                  - UM
                                  - VI
                                  - AK
                                  - AL
                                  - AR
                                  - AZ
                                  - CA
                                  - CO
                                  - CT
                                  - DE
                                  - FL
                                  - GA
                                  - HI
                                  - IA
                                  - ID
                                  - IL
                                  - IN
                                  - KS
                                  - KY
                                  - LA
                                  - MA
                                  - MD
                                  - ME
                                  - MI
                                  - MN
                                  - MO
                                  - MS
                                  - MT
                                  - NC
                                  - ND
                                  - NE
                                  - NH
                                  - NJ
                                  - NM
                                  - NV
                                  - NY
                                  - OH
                                  - OK
                                  - OR
                                  - PA
                                  - RI
                                  - SC
                                  - SD
                                  - TN
                                  - TX
                                  - UT
                                  - VA
                                  - VT
                                  - WA
                                  - WI
                                  - WV
                                  - WY
                              postalCode:
                                type: string
                                minLength: 5
                                maxLength: 9
                              countryCode:
                                type: string
                                minLength: 2
                                maxLength: 2
                              countrySubDivisionCode:
                                type: string
                                minLength: 1
                                maxLength: 3
                            additionalProperties: false
                          employersId:
                            type: string
                          aaaErrors:
                            type: array
                            items:
                              type: object
                              properties:
                                field:
                                  type: string
                                description:
                                  type: string
                                location:
                                  type: string
                                possibleResolutions:
                                  type: string
                                code:
                                  type: string
                                  enum:
                                    - '15'
                                    - '41'
                                    - '43'
                                    - '44'
                                    - '45'
                                    - '46'
                                    - '47'
                                    - '48'
                                    - '50'
                                    - '51'
                                    - '79'
                                    - '97'
                                    - T4
                                followupAction:
                                  type: string
                                  enum:
                                    - Please Correct and Resubmit
                                    - Resubmission Not Allowed
                                    - Resubmission Allowed
                                    - >-
                                      Do Not Resubmit; Inquiry Initiated to a
                                      Third Party
                                    - Please Wait 30 Days and Resubmit
                                    - Please Wait 10 Days and Resubmit
                                    - >-
                                      Do Not Resubmit; We Will Hold Your Request
                                      and Respond Again Shortly
                              additionalProperties: false
                        additionalProperties: false
                      subscriber:
                        type: object
                        properties:
                          healthCareDiagnosisCodes:
                            type: array
                            items:
                              type: object
                              properties:
                                diagnosisTypeCode:
                                  type: string
                                diagnosisCode:
                                  type: string
                              additionalProperties: false
                          memberId:
                            type: string
                          firstName:
                            type: string
                          lastName:
                            type: string
                          middleName:
                            type: string
                          suffix:
                            type: string
                          gender:
                            type: string
                            enum:
                              - M
                              - F
                              - U
                          entityType:
                            type: string
                            enum:
                              - Person
                              - Non-Person Entity
                          uniqueHealthIdentifier:
                            type: string
                          dateOfBirth:
                            type: string
                            pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                          informationStatusCode:
                            type: string
                            enum:
                              - A
                              - C
                              - L
                              - O
                              - P
                              - S
                              - T
                          employmentStatusCode:
                            type: string
                            enum:
                              - AE
                              - AO
                              - AS
                              - AT
                              - AU
                              - CC
                              - DD
                              - HD
                              - IR
                              - LX
                              - PE
                              - RE
                              - RM
                              - RR
                              - RU
                          governmentServiceAffiliationCode:
                            type: string
                            enum:
                              - A
                              - B
                              - C
                              - D
                              - E
                              - F
                              - G
                              - H
                              - I
                              - J
                              - K
                              - L
                              - M
                              - 'N'
                              - O
                              - Q
                              - R
                              - S
                              - U
                              - W
                          description:
                            type: string
                          militaryServiceRankCode:
                            type: string
                            enum:
                              - A1
                              - A2
                              - A3
                              - B1
                              - B2
                              - C1
                              - C2
                              - C3
                              - C4
                              - C5
                              - C6
                              - C7
                              - C8
                              - C9
                              - E1
                              - F1
                              - F2
                              - F3
                              - F4
                              - G1
                              - G4
                              - L1
                              - L2
                              - L3
                              - L4
                              - L5
                              - L6
                              - M1
                              - M2
                              - M3
                              - M4
                              - M5
                              - M6
                              - P1
                              - P2
                              - P3
                              - P4
                              - P5
                              - R1
                              - R2
                              - S1
                              - S2
                              - S3
                              - S4
                              - S5
                              - S6
                              - S7
                              - S8
                              - S9
                              - SA
                              - SB
                              - SC
                              - T1
                              - V1
                              - W1
                          dateTimePeriodFormatQualifier:
                            type: string
                            enum:
                              - D8
                              - RD8
                          dateTimePeriod:
                            type: string
                            pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                          startDateTimePeriod:
                            type: string
                            pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                          endDateTimePeriod:
                            type: string
                            pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                          ssn:
                            type: string
                            pattern: ^\d{9}$
                          groupNumber:
                            type: string
                          planNumber:
                            type: string
                          planNetworkIdNumber:
                            type: string
                          groupDescription:
                            type: string
                          planDescription:
                            type: string
                          planNetworkDescription:
                            type: string
                          maintenanceTypeCode:
                            type: string
                            enum:
                              - '001'
                          maintenanceReasonCode:
                            type: string
                            enum:
                              - '25'
                          birthSequenceNumber:
                            type: string
                          address:
                            type: object
                            properties:
                              address1:
                                type: string
                                minLength: 1
                                maxLength: 55
                              address2:
                                type: string
                                minLength: 1
                                maxLength: 55
                              city:
                                type: string
                                minLength: 2
                                maxLength: 30
                              state:
                                type: string
                                enum:
                                  - NL
                                  - PE
                                  - NS
                                  - NB
                                  - QC
                                  - 'ON'
                                  - MB
                                  - SK
                                  - AB
                                  - BC
                                  - YT
                                  - NT
                                  - NU
                                  - DC
                                  - AS
                                  - GU
                                  - MP
                                  - PR
                                  - UM
                                  - VI
                                  - AK
                                  - AL
                                  - AR
                                  - AZ
                                  - CA
                                  - CO
                                  - CT
                                  - DE
                                  - FL
                                  - GA
                                  - HI
                                  - IA
                                  - ID
                                  - IL
                                  - IN
                                  - KS
                                  - KY
                                  - LA
                                  - MA
                                  - MD
                                  - ME
                                  - MI
                                  - MN
                                  - MO
                                  - MS
                                  - MT
                                  - NC
                                  - ND
                                  - NE
                                  - NH
                                  - NJ
                                  - NM
                                  - NV
                                  - NY
                                  - OH
                                  - OK
                                  - OR
                                  - PA
                                  - RI
                                  - SC
                                  - SD
                                  - TN
                                  - TX
                                  - UT
                                  - VA
                                  - VT
                                  - WA
                                  - WI
                                  - WV
                                  - WY
                              postalCode:
                                type: string
                                minLength: 5
                                maxLength: 9
                              countryCode:
                                type: string
                                minLength: 2
                                maxLength: 2
                              countrySubDivisionCode:
                                type: string
                                minLength: 1
                                maxLength: 3
                            additionalProperties: false
                          responseProvider:
                            type: object
                            properties:
                              providerName:
                                type: string
                              providerFirstName:
                                type: string
                              providerOrgName:
                                type: string
                              middleName:
                                type: string
                              suffix:
                                type: string
                              entityIdentifier:
                                type: string
                                enum:
                                  - Provider
                                  - Third-Party Administrator
                                  - Employer
                                  - Hospital
                                  - Facility
                                  - Gateway Provider
                                  - Plan Sponsor
                                  - Payer
                              entityType:
                                type: string
                                enum:
                                  - Person
                                  - Non-Person Entity
                              npi:
                                type: string
                                pattern: ^\d{10}$
                              providerCode:
                                type: string
                                enum:
                                  - AD
                                  - AT
                                  - BI
                                  - CO
                                  - CV
                                  - H
                                  - HH
                                  - LA
                                  - OT
                                  - P1
                                  - P2
                                  - PC
                                  - PE
                                  - R
                                  - RF
                                  - SB
                                  - SK
                                  - SU
                              referenceIdentification:
                                type: string
                              ssn:
                                type: string
                                pattern: ^\d{9}$
                              federalTaxpayersIdNumber:
                                type: string
                                pattern: ^\d{9}$
                              payorIdentification:
                                type: string
                              pharmacyProcessorNumber:
                                type: string
                              serviceProviderNumber:
                                type: string
                              servicesPlanID:
                                type: string
                              address:
                                type: object
                                properties:
                                  address1:
                                    type: string
                                    minLength: 1
                                    maxLength: 55
                                  address2:
                                    type: string
                                    minLength: 1
                                    maxLength: 55
                                  city:
                                    type: string
                                    minLength: 2
                                    maxLength: 30
                                  state:
                                    type: string
                                    enum:
                                      - NL
                                      - PE
                                      - NS
                                      - NB
                                      - QC
                                      - 'ON'
                                      - MB
                                      - SK
                                      - AB
                                      - BC
                                      - YT
                                      - NT
                                      - NU
                                      - DC
                                      - AS
                                      - GU
                                      - MP
                                      - PR
                                      - UM
                                      - VI
                                      - AK
                                      - AL
                                      - AR
                                      - AZ
                                      - CA
                                      - CO
                                      - CT
                                      - DE
                                      - FL
                                      - GA
                                      - HI
                                      - IA
                                      - ID
                                      - IL
                                      - IN
                                      - KS
                                      - KY
                                      - LA
                                      - MA
                                      - MD
                                      - ME
                                      - MI
                                      - MN
                                      - MO
                                      - MS
                                      - MT
                                      - NC
                                      - ND
                                      - NE
                                      - NH
                                      - NJ
                                      - NM
                                      - NV
                                      - NY
                                      - OH
                                      - OK
                                      - OR
                                      - PA
                                      - RI
                                      - SC
                                      - SD
                                      - TN
                                      - TX
                                      - UT
                                      - VA
                                      - VT
                                      - WA
                                      - WI
                                      - WV
                                      - WY
                                  postalCode:
                                    type: string
                                    minLength: 5
                                    maxLength: 9
                                  countryCode:
                                    type: string
                                    minLength: 2
                                    maxLength: 2
                                  countrySubDivisionCode:
                                    type: string
                                    minLength: 1
                                    maxLength: 3
                                additionalProperties: false
                              employersId:
                                type: string
                              aaaErrors:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    field:
                                      type: string
                                    description:
                                      type: string
                                    location:
                                      type: string
                                    possibleResolutions:
                                      type: string
                                    code:
                                      type: string
                                      enum:
                                        - '15'
                                        - '41'
                                        - '43'
                                        - '44'
                                        - '45'
                                        - '46'
                                        - '47'
                                        - '48'
                                        - '50'
                                        - '51'
                                        - '79'
                                        - '97'
                                        - T4
                                    followupAction:
                                      type: string
                                      enum:
                                        - Please Correct and Resubmit
                                        - Resubmission Not Allowed
                                        - Resubmission Allowed
                                        - >-
                                          Do Not Resubmit; Inquiry Initiated to a
                                          Third Party
                                        - Please Wait 30 Days and Resubmit
                                        - Please Wait 10 Days and Resubmit
                                        - >-
                                          Do Not Resubmit; We Will Hold Your
                                          Request and Respond Again Shortly
                                  additionalProperties: false
                            additionalProperties: false
                          entityIdentifier:
                            type: string
                            enum:
                              - Insured or Subscriber
                          relationToSubscriber:
                            type: string
                            enum:
                              - Self
                          relationToSubscriberCode:
                            type: string
                            enum:
                              - '18'
                          insuredIndicator:
                            type: string
                            enum:
                              - 'Y'
                          aaaErrors:
                            type: array
                            items:
                              type: object
                              properties:
                                field:
                                  type: string
                                description:
                                  type: string
                                location:
                                  type: string
                                possibleResolutions:
                                  type: string
                                code:
                                  type: string
                                  enum:
                                    - '15'
                                    - '33'
                                    - '35'
                                    - '42'
                                    - '43'
                                    - '45'
                                    - '47'
                                    - '48'
                                    - '49'
                                    - '51'
                                    - '52'
                                    - '53'
                                    - '54'
                                    - '55'
                                    - '56'
                                    - '57'
                                    - '58'
                                    - '60'
                                    - '61'
                                    - '62'
                                    - '63'
                                    - '69'
                                    - '70'
                                    - '71'
                                    - '72'
                                    - '73'
                                    - '74'
                                    - '75'
                                    - '76'
                                    - '78'
                                    - '98'
                                    - AA
                                    - AE
                                    - AF
                                    - AG
                                    - AO
                                    - CI
                                    - E8
                                    - IA
                                    - MA
                                followupAction:
                                  type: string
                                  enum:
                                    - Please Correct and Resubmit
                                    - Resubmission Not Allowed
                                    - Resubmission Allowed
                                    - >-
                                      Do Not Resubmit; Inquiry Initiated to a
                                      Third Party
                                    - Please Wait 30 Days and Resubmit
                                    - Please Wait 10 Days and Resubmit
                                    - >-
                                      Do Not Resubmit; We Will Hold Your Request
                                      and Respond Again Shortly
                              additionalProperties: false
                        additionalProperties: false
                      subscriberTraceNumbers:
                        type: array
                        items:
                          type: object
                          properties:
                            traceTypeCode:
                              type: string
                            traceType:
                              type: string
                            referenceIdentification:
                              type: string
                            originatingCompanyIdentifier:
                              type: string
                            secondaryReferenceIdentification:
                              type: string
                          additionalProperties: false
                      payer:
                        type: object
                        properties:
                          entityIdentifier:
                            type: string
                            enum:
                              - Third-Party Administrator
                              - Employer
                              - Gateway Provider
                              - Plan Sponsor
                              - Payer
                          entityType:
                            type: string
                            enum:
                              - Person
                              - Non-Person Entity
                          firstName:
                            type: string
                          lastName:
                            type: string
                          name:
                            type: string
                          middleName:
                            type: string
                          suffix:
                            type: string
                          federalTaxpayersIdNumber:
                            type: string
                            pattern: ^\d{9}$
                          naic:
                            type: string
                          npi:
                            type: string
                            pattern: ^\d{10}$
                          centersForMedicareAndMedicaidPlanId:
                            type: string
                          payorIdentification:
                            type: string
                          contactInformation:
                            type: object
                            properties:
                              name:
                                type: string
                              contacts:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    communicationMode:
                                      type: string
                                      enum:
                                        - >-
                                          Electronic Data Interchange Access
                                          Number
                                        - Electronic Mail
                                        - Facsimile
                                        - Telephone
                                        - Uniform Resource Locator (URL)
                                    communicationNumber:
                                      type: string
                                  additionalProperties: false
                            additionalProperties: false
                          etin:
                            type: string
                          employersId:
                            type: string
                          aaaErrors:
                            type: array
                            items:
                              type: object
                              properties:
                                field:
                                  type: string
                                description:
                                  type: string
                                location:
                                  type: string
                                possibleResolutions:
                                  type: string
                                code:
                                  type: string
                                  enum:
                                    - '04'
                                    - '41'
                                    - '42'
                                    - '79'
                                    - '80'
                                    - T4
                                followupAction:
                                  type: string
                                  enum:
                                    - Please Correct and Resubmit
                                    - Resubmission Not Allowed
                                    - Please Resubmit Original Transaction
                                    - Resubmission Allowed
                                    - >-
                                      Do Not Resubmit; Inquiry Initiated to a
                                      Third Party
                                    - Please Wait 30 Days and Resubmit
                                    - Please Wait 10 Days and Resubmit
                                    - >-
                                      Do Not Resubmit; We Will Hold Your Request
                                      and Respond Again Shortly
                              additionalProperties: false
                        additionalProperties: false
                      planInformation:
                        type: object
                        properties:
                          stateLicenseNumber:
                            type: string
                          medicareProviderNumber:
                            type: string
                          medicaidProviderNumber:
                            type: string
                          facilityIdNumber:
                            type: string
                          personalIdentificationNumber:
                            type: string
                          planNumber:
                            type: string
                          planDescription:
                            type: string
                          policyNumber:
                            type: string
                          memberId:
                            type: string
                          caseNumber:
                            type: string
                          familyUnitNumber:
                            type: string
                          groupNumber:
                            type: string
                          groupDescription:
                            type: string
                          referralNumber:
                            type: string
                          alternativeListId:
                            type: string
                          classOfContractCode:
                            type: string
                          coverageListId:
                            type: string
                          contractNumber:
                            type: string
                          medicalRecordIdentificationNumber:
                            type: string
                          electronicDevicePin:
                            type: string
                          submitterIdentificationNumber:
                            type: string
                          patientAccountNumber:
                            type: string
                          hicNumber:
                            type: string
                          drugFormularyNumber:
                            type: string
                          priorAuthorizationNumber:
                            type: string
                          idCardSerialNumber:
                            type: string
                          idCardNumber:
                            type: string
                          centersForMedicareAndMedicaidServicesNPI:
                            type: string
                            pattern: ^\d{10}$
                          issueNumber:
                            type: string
                          insurancePolicyNumber:
                            type: string
                          userIdentification:
                            type: string
                          medicalAssistanceCategory:
                            type: string
                          eligibilityCategory:
                            type: string
                          planNetworkIdNumber:
                            type: string
                          planNetworkIdDescription:
                            type: string
                          facilityNetworkIdentificationNumber:
                            type: string
                          medicaidRecipientIdNumber:
                            type: string
                          priorIdNumber:
                            type: string
                          socialSecurityNumber:
                            type: string
                          federalTaxpayersIdentificationNumber:
                            type: string
                          agencyClaimNumber:
                            type: string
                        additionalProperties: false
                      planDateInformation:
                        type: object
                        properties:
                          discharge:
                            type: string
                            pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                          issue:
                            type: string
                            pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                          effectiveDateOfChange:
                            type: string
                            pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                          plan:
                            type: string
                            pattern: >-
                              ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])(-\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01]))?$
                          eligibility:
                            type: string
                            pattern: >-
                              ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])(-\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01]))?$
                          added:
                            type: string
                            pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                          cobraBegin:
                            type: string
                            pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                          cobraEnd:
                            type: string
                            pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                          premiumPaidToDateBegin:
                            type: string
                            pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                          premiumPaidToDateEnd:
                            type: string
                            pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                          planBegin:
                            type: string
                            pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                          planEnd:
                            type: string
                            pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                          eligibilityBegin:
                            type: string
                            pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                          eligibilityEnd:
                            type: string
                            pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                          enrollment:
                            type: string
                            pattern: >-
                              ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])(-\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01]))?$
                          admission:
                            type: string
                            pattern: >-
                              ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])(-\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01]))?$
                          dateOfDeath:
                            type: string
                            pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                          certification:
                            type: string
                            pattern: >-
                              ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])(-\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01]))?$
                          service:
                            type: string
                            pattern: >-
                              ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])(-\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01]))?$
                          policyEffective:
                            type: string
                            pattern: >-
                              ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])(-\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01]))?$
                          policyExpiration:
                            type: string
                            pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                          dateOfLastUpdate:
                            type: string
                            pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                          status:
                            type: string
                            pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                          periodStart:
                            type: string
                            pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                          periodEnd:
                            type: string
                            pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                          completion:
                            type: string
                            pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                          coordinationOfBenefits:
                            type: string
                            pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                          benefit:
                            type: string
                            pattern: >-
                              ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])(-\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01]))?$
                          primaryCareProvider:
                            type: string
                            pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                          latestVisitOrConsultation:
                            type: string
                            pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                          benefitBegin:
                            type: string
                            pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                          benefitEnd:
                            type: string
                            pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                        additionalProperties: false
                      errors:
                        type: array
                        items:
                          type: object
                          properties:
                            field:
                              type: string
                            description:
                              type: string
                            location:
                              type: string
                            possibleResolutions:
                              type: string
                            code:
                              type: string
                              enum:
                                - '04'
                                - '15'
                                - '33'
                                - '35'
                                - '41'
                                - '42'
                                - '43'
                                - '44'
                                - '45'
                                - '46'
                                - '47'
                                - '48'
                                - '49'
                                - '50'
                                - '51'
                                - '52'
                                - '53'
                                - '54'
                                - '55'
                                - '56'
                                - '57'
                                - '58'
                                - '60'
                                - '61'
                                - '62'
                                - '63'
                                - '64'
                                - '65'
                                - '66'
                                - '67'
                                - '68'
                                - '69'
                                - '70'
                                - '71'
                                - '72'
                                - '73'
                                - '74'
                                - '75'
                                - '76'
                                - '77'
                                - '78'
                                - '79'
                                - '80'
                                - '97'
                                - '98'
                                - AA
                                - AE
                                - AF
                                - AG
                                - AO
                                - CI
                                - E8
                                - IA
                                - MA
                                - T4
                            followupAction:
                              type: string
                              enum:
                                - Please Correct and Resubmit
                                - Resubmission Not Allowed
                                - Please Resubmit Original Transaction
                                - Resubmission Allowed
                                - >-
                                  Do Not Resubmit; Inquiry Initiated to a Third
                                  Party
                                - Please Wait 30 Days and Resubmit
                                - Please Wait 10 Days and Resubmit
                                - >-
                                  Do Not Resubmit; We Will Hold Your Request and
                                  Respond Again Shortly
                          additionalProperties: false
                      warnings:
                        type: array
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                            description:
                              type: string
                          additionalProperties: false
                      status:
                        type: string
                      transactionSetAcknowledgement:
                        type: string
                      implementationTransactionSetSyntaxError:
                        type: string
                      x12:
                        type: string
                      planStatus:
                        type: array
                        items:
                          type: object
                          properties:
                            statusCode:
                              type: string
                            status:
                              type: string
                            planDetails:
                              type: string
                            serviceTypeCodes:
                              type: array
                              items:
                                type: string
                                enum:
                                  - '1'
                                  - '2'
                                  - '3'
                                  - '4'
                                  - '5'
                                  - '6'
                                  - '7'
                                  - '8'
                                  - '9'
                                  - '10'
                                  - '11'
                                  - '12'
                                  - '13'
                                  - '14'
                                  - '15'
                                  - '16'
                                  - '17'
                                  - '18'
                                  - '19'
                                  - '20'
                                  - '21'
                                  - '22'
                                  - '23'
                                  - '24'
                                  - '25'
                                  - '26'
                                  - '27'
                                  - '28'
                                  - '30'
                                  - '32'
                                  - '33'
                                  - '34'
                                  - '35'
                                  - '36'
                                  - '37'
                                  - '38'
                                  - '39'
                                  - '40'
                                  - '41'
                                  - '42'
                                  - '43'
                                  - '44'
                                  - '45'
                                  - '46'
                                  - '47'
                                  - '48'
                                  - '49'
                                  - '50'
                                  - '51'
                                  - '52'
                                  - '53'
                                  - '54'
                                  - '55'
                                  - '56'
                                  - '57'
                                  - '58'
                                  - '59'
                                  - '60'
                                  - '61'
                                  - '62'
                                  - '63'
                                  - '64'
                                  - '65'
                                  - '66'
                                  - '67'
                                  - '68'
                                  - '69'
                                  - '70'
                                  - '71'
                                  - '72'
                                  - '73'
                                  - '74'
                                  - '75'
                                  - '76'
                                  - '77'
                                  - '78'
                                  - '79'
                                  - '80'
                                  - '81'
                                  - '82'
                                  - '83'
                                  - '84'
                                  - '85'
                                  - '86'
                                  - '87'
                                  - '88'
                                  - '89'
                                  - '90'
                                  - '91'
                                  - '92'
                                  - '93'
                                  - '94'
                                  - '95'
                                  - '96'
                                  - '97'
                                  - '98'
                                  - '99'
                                  - A0
                                  - A1
                                  - A2
                                  - A3
                                  - A4
                                  - A5
                                  - A6
                                  - A7
                                  - A8
                                  - A9
                                  - AA
                                  - AB
                                  - AC
                                  - AD
                                  - AE
                                  - AF
                                  - AG
                                  - AH
                                  - AI
                                  - AJ
                                  - AK
                                  - AL
                                  - AM
                                  - AN
                                  - AO
                                  - AQ
                                  - AR
                                  - B1
                                  - B2
                                  - B3
                                  - BA
                                  - BB
                                  - BC
                                  - BD
                                  - BE
                                  - BF
                                  - BG
                                  - BH
                                  - BI
                                  - BJ
                                  - BK
                                  - BL
                                  - BM
                                  - BN
                                  - BP
                                  - BQ
                                  - BR
                                  - BS
                                  - BT
                                  - BU
                                  - BV
                                  - BW
                                  - BX
                                  - BY
                                  - BZ
                                  - C1
                                  - CA
                                  - CB
                                  - CC
                                  - CD
                                  - CE
                                  - CF
                                  - CG
                                  - CH
                                  - CI
                                  - CJ
                                  - CK
                                  - CL
                                  - CM
                                  - CN
                                  - CO
                                  - CP
                                  - CQ
                                  - DG
                                  - DM
                                  - DS
                                  - GF
                                  - GN
                                  - GY
                                  - IC
                                  - MH
                                  - NI
                                  - 'ON'
                                  - PT
                                  - PU
                                  - RN
                                  - RT
                                  - TC
                                  - TN
                                  - UC
                          additionalProperties: false
                      dependents:
                        type: array
                        items:
                          type: object
                          properties:
                            healthCareDiagnosisCodes:
                              type: array
                              items:
                                type: object
                                properties:
                                  diagnosisTypeCode:
                                    type: string
                                  diagnosisCode:
                                    type: string
                                additionalProperties: false
                            memberId:
                              type: string
                            firstName:
                              type: string
                            lastName:
                              type: string
                            middleName:
                              type: string
                            suffix:
                              type: string
                            gender:
                              type: string
                              enum:
                                - M
                                - F
                                - U
                            entityType:
                              type: string
                              enum:
                                - Person
                                - Non-Person Entity
                            uniqueHealthIdentifier:
                              type: string
                            dateOfBirth:
                              type: string
                              pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                            informationStatusCode:
                              type: string
                              enum:
                                - A
                                - C
                                - L
                                - O
                                - P
                                - S
                                - T
                            employmentStatusCode:
                              type: string
                              enum:
                                - AE
                                - AO
                                - AS
                                - AT
                                - AU
                                - CC
                                - DD
                                - HD
                                - IR
                                - LX
                                - PE
                                - RE
                                - RM
                                - RR
                                - RU
                            governmentServiceAffiliationCode:
                              type: string
                              enum:
                                - A
                                - B
                                - C
                                - D
                                - E
                                - F
                                - G
                                - H
                                - I
                                - J
                                - K
                                - L
                                - M
                                - 'N'
                                - O
                                - Q
                                - R
                                - S
                                - U
                                - W
                            description:
                              type: string
                            militaryServiceRankCode:
                              type: string
                              enum:
                                - A1
                                - A2
                                - A3
                                - B1
                                - B2
                                - C1
                                - C2
                                - C3
                                - C4
                                - C5
                                - C6
                                - C7
                                - C8
                                - C9
                                - E1
                                - F1
                                - F2
                                - F3
                                - F4
                                - G1
                                - G4
                                - L1
                                - L2
                                - L3
                                - L4
                                - L5
                                - L6
                                - M1
                                - M2
                                - M3
                                - M4
                                - M5
                                - M6
                                - P1
                                - P2
                                - P3
                                - P4
                                - P5
                                - R1
                                - R2
                                - S1
                                - S2
                                - S3
                                - S4
                                - S5
                                - S6
                                - S7
                                - S8
                                - S9
                                - SA
                                - SB
                                - SC
                                - T1
                                - V1
                                - W1
                            dateTimePeriodFormatQualifier:
                              type: string
                              enum:
                                - D8
                                - RD8
                            dateTimePeriod:
                              type: string
                              pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                            startDateTimePeriod:
                              type: string
                              pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                            endDateTimePeriod:
                              type: string
                              pattern: ^\d{4}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])$
                            ssn:
                              type: string
                              pattern: ^\d{9}$
                            groupNumber:
                              type: string
                            planNumber:
                              type: string
                            planNetworkIdNumber:
                              type: string
                            groupDescription:
                              type: string
                            planDescription:
                              type: string
                            planNetworkDescription:
                              type: string
                            maintenanceTypeCode:
                              type: string
                              enum:
                                - '001'
                            maintenanceReasonCode:
                              type: string
                              enum:
                                - '25'
                            birthSequenceNumber:
                              type: string
                            address:
                              type: object
                              properties:
                                address1:
                                  type: string
                                  minLength: 1
                                  maxLength: 55
                                address2:
                                  type: string
                                  minLength: 1
                                  maxLength: 55
                                city:
                                  type: string
                                  minLength: 2
                                  maxLength: 30
                                state:
                                  type: string
                                  enum:
                                    - NL
                                    - PE
                                    - NS
                                    - NB
                                    - QC
                                    - 'ON'
                                    - MB
                                    - SK
                                    - AB
                                    - BC
                                    - YT
                                    - NT
                                    - NU
                                    - DC
                                    - AS
                                    - GU
                                    - MP
                                    - PR
                                    - UM
                                    - VI
                                    - AK
                                    - AL
                                    - AR
                                    - AZ
                                    - CA
                                    - CO
                                    - CT
                                    - DE
                                    - FL
                                    - GA
                                    - HI
                                    - IA
                                    - ID
                                    - IL
                                    - IN
                                    - KS
                                    - KY
                                    - LA
                                    - MA
                                    - MD
                                    - ME
                                    - MI
                                    - MN
                                    - MO
                                    - MS
                                    - MT
                                    - NC
                                    - ND
                                    - NE
                                    - NH
                                    - NJ
                                    - NM
                                    - NV
                                    - NY
                                    - OH
                                    - OK
                                    - OR
                                    - PA
                                    - RI
                                    - SC
                                    - SD
                                    - TN
                                    - TX
                                    - UT
                                    - VA
                                    - VT
                                    - WA
                                    - WI
                                    - WV
                                    - WY
                                postalCode:
                                  type: string
                                  minLength: 5
                                  maxLength: 9
                                countryCode:
                                  type: string
                                  minLength: 2
                                  maxLength: 2
                                countrySubDivisionCode:
                                  type: string
                                  minLength: 1
                                  maxLength: 3
                              additionalProperties: false
                            responseProvider:
                              type: object
                              properties:
                                providerName:
                                  type: string
                                providerFirstName:
                                  type: string
                                providerOrgName:
                                  type: string
                                middleName:
                                  type: string
                                suffix:
                                  type: string
                                entityIdentifier:
                                  type: string
                                  enum:
                                    - Provider
                                    - Third-Party Administrator
                                    - Employer
                                    - Hospital
                                    - Facility
                                    - Gateway Provider
                                    - Plan Sponsor
                                    - Payer
                                entityType:
                                  type: string
                                  enum:
                                    - Person
                                    - Non-Person Entity
                                npi:
                                  type: string
                                  pattern: ^\d{10}$
                                providerCode:
                                  type: string
                                  enum:
                                    - AD
                                    - AT
                                    - BI
                                    - CO
                                    - CV
                                    - H
                                    - HH
                                    - LA
                                    - OT
                                    - P1
                                    - P2
                                    - PC
                                    - PE
                                    - R
                                    - RF
                                    - SB
                                    - SK
                                    - SU
                                referenceIdentification:
                                  type: string
                                ssn:
                                  type: string
                                  pattern: ^\d{9}$
                                federalTaxpayersIdNumber:
                                  type: string
                                  pattern: ^\d{9}$
                                payorIdentification:
                                  type: string
                                pharmacyProcessorNumber:
                                  type: string
                                serviceProviderNumber:
                                  type: string
                                servicesPlanID:
                                  type: string
                                address:
                                  type: object
                                  properties:
                                    address1:
                                      type: string
                                      minLength: 1
                                      maxLength: 55
                                    address2:
                                      type: string
                                      minLength: 1
                                      maxLength: 55
                                    city:
                                      type: string
                                      minLength: 2
                                      maxLength: 30
                                    state:
                                      type: string
                                      enum:
                                        - NL
                                        - PE
                                        - NS
                                        - NB
                                        - QC
                                        - 'ON'
                                        - MB
                                        - SK
                                        - AB
                                        - BC
                                        - YT
                                        - NT
                                        - NU
                                        - DC
                                        - AS
                                        - GU
                                        - MP
                                        - PR
                                        - UM
                                        - VI
                                        - AK
                                        - AL
                                        - AR
                                        - AZ
                                        - CA
                                        - CO
                                        - CT
                                        - DE
                                        - FL
                                        - GA
                                        - HI
                                        - IA
                                        - ID
                                        - IL
                                        - IN
                                        - KS
                                        - KY
                                        - LA
                                        - MA
                                        - MD
                                        - ME
                                        - MI
                                        - MN
                                        - MO
                                        - MS
                                        - MT
                                        - NC
                                        - ND
                                        - NE
                                        - NH
                                        - NJ
                                        - NM
                                        - NV
                                        - NY
                                        - OH
                                        - OK
                                        - OR
                                        - PA
                                        - RI
                                        - SC
                                        - SD
                                        - TN
                                        - TX
                                        - UT
                                        - VA
                                        - VT
                                        - WA
                                        - WI
                                        - WV
                                        - WY
                                    postalCode:
                                      type: string
                                      minLength: 5
                                      maxLength: 9
                                    countryCode:
                                      type: string
                                      minLength: 2
                                      maxLength: 2
                                    countrySubDivisionCode:
                                      type: string
                                      minLength: 1
                                      maxLength: 3
                                  additionalProperties: false
                                employersId:
                                  type: string
                                aaaErrors:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      field:
                                        type: string
                                      description:
                                        type: string
                                      location:
                                        type: string
                                      possibleResolutions:
                                        type: string
                                      code:
                                        type: string
                                        enum:
                                          - '15'
                                          - '41'
                                          - '43'
                                          - '44'
                                          - '45'
                                          - '46'
                                          - '47'
                                          - '48'
                                          - '50'
                                          - '51'
                                          - '79'
                                          - '97'
                                          - T4
                                      followupAction:
                                        type: string
                                        enum:
                                          - Please Correct and Resubmit
                                          - Resubmission Not Allowed
                                          - Resubmission Allowed
                                          - >-
                                            Do Not Resubmit; Inquiry Initiated to a
                                            Third Party
                                          - Please Wait 30 Days and Resubmit
                                          - Please Wait 10 Days and Resubmit
                                          - >-
                                            Do Not Resubmit; We Will Hold Your
                                            Request and Respond Again Shortly
                                    additionalProperties: false
                              additionalProperties: false
                            entityIdentifier:
                              type: string
                              enum:
                                - Dependent
                            relationToSubscriber:
                              type: string
                              enum:
                                - Spouse
                                - Child
                                - Employee
                                - Unknown
                                - Organ Donor
                                - Cadaver Donor
                                - Life Partner
                                - Other Relationship
                            relationToSubscriberCode:
                              type: string
                              enum:
                                - '01'
                                - '19'
                                - '20'
                                - '21'
                                - '39'
                                - '40'
                                - '53'
                                - G8
                                - Unknown
                            insuredIndicator:
                              type: string
                              enum:
                                - 'N'
                            aaaErrors:
                              type: array
                              items:
                                type: object
                                properties:
                                  field:
                                    type: string
                                  description:
                                    type: string
                                  location:
                                    type: string
                                  possibleResolutions:
                                    type: string
                                  code:
                                    type: string
                                    enum:
                                      - '15'
                                      - '33'
                                      - '35'
                                      - '42'
                                      - '43'
                                      - '45'
                                      - '47'
                                      - '48'
                                      - '49'
                                      - '51'
                                      - '52'
                                      - '53'
                                      - '54'
                                      - '55'
                                      - '56'
                                      - '57'
                                      - '58'
                                      - '60'
                                      - '61'
                                      - '62'
                                      - '63'
                                      - '64'
                                      - '65'
                                      - '66'
                                      - '67'
                                      - '68'
                                      - '69'
                                      - '70'
                                      - '71'
                                      - '77'
                                      - '98'
                                      - AA
                                      - AE
                                      - AF
                                      - AG
                                      - AO
                                      - CI
                                      - E8
                                      - IA
                                      - MA
                                  followupAction:
                                    type: string
                                    enum:
                                      - Please Correct and Resubmit
                                      - Resubmission Not Allowed
                                      - Resubmission Allowed
                                      - >-
                                        Do Not Resubmit; Inquiry Initiated to a
                                        Third Party
                                      - Please Wait 30 Days and Resubmit
                                      - Please Wait 10 Days and Resubmit
                                      - >-
                                        Do Not Resubmit; We Will Hold Your
                                        Request and Respond Again Shortly
                                additionalProperties: false
                          additionalProperties: false
                      benefitsInformation:
                        type: array
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                              enum:
                                - '1'
                                - '2'
                                - '3'
                                - '4'
                                - '5'
                                - '6'
                                - '7'
                                - '8'
                                - A
                                - B
                                - C
                                - CB
                                - D
                                - E
                                - F
                                - G
                                - H
                                - I
                                - J
                                - K
                                - L
                                - M
                                - MC
                                - 'N'
                                - O
                                - P
                                - Q
                                - R
                                - S
                                - T
                                - U
                                - V
                                - W
                                - X
                                - 'Y'
                            name:
                              type: string
                              enum:
                                - Active Coverage
                                - Active - Full Risk Capitation
                                - Active - Services Capitated
                                - >-
                                  Active - Services Capitated to Primary Care
                                  Physician
                                - Active - Pending Investigation
                                - Inactive
                                - Inactive - Pending Eligibility Update
                                - Inactive - Pending Investigation
                                - Co-Insurance
                                - Co-Payment
                                - Deductible
                                - Coverage Basis
                                - Benefit Description
                                - Exclusions
                                - Limitations
                                - Out of Pocket (Stop Loss)
                                - Unlimited
                                - Non-Covered
                                - Cost Containment
                                - Reserve
                                - Primary Care Provider
                                - Pre-existing Condition
                                - Managed Care Coordinator
                                - Services Restricted to Following Provider
                                - Not Deemed a Medical Necessity
                                - Benefit Disclaimer
                                - Second Surgical Opinion Required
                                - Other or Additional Payor
                                - Prior Year(s) History
                                - Card(s) Reported Lost/Stolen
                                - >-
                                  Contact Following Entity for Eligibility or
                                  Benefit Information
                                - Cannot Process
                                - Other Source of Data
                                - Health Care Facility
                                - Spend Down
                            coverageLevelCode:
                              type: string
                              enum:
                                - CHD
                                - DEP
                                - ECH
                                - EMP
                                - ESP
                                - FAM
                                - IND
                                - SPC
                                - SPO
                            coverageLevel:
                              type: string
                              enum:
                                - Children Only
                                - Dependents Only
                                - Employee and Children
                                - Employee Only
                                - Employee and Spouse
                                - Family
                                - Individual
                                - Spouse and Children
                                - Spouse Only
                            serviceTypeCodes:
                              type: array
                              items:
                                type: string
                                enum:
                                  - '1'
                                  - '2'
                                  - '3'
                                  - '4'
                                  - '5'
                                  - '6'
                                  - '7'
                                  - '8'
                                  - '9'
                                  - '10'
                                  - '11'
                                  - '12'
                                  - '13'
                                  - '14'
                                  - '15'
                                  - '16'
                                  - '17'
                                  - '18'
                                  - '19'
                                  - '20'
                                  - '21'
                                  - '22'
                                  - '23'
                                  - '24'
                                  - '25'
                                  - '26'
                                  - '27'
                                  - '28'
                                  - '30'
                                  - '32'
                                  - '33'
                                  - '34'
                                  - '35'
                                  - '36'
                                  - '37'
                                  - '38'
                                  - '39'
                                  - '40'
                                  - '41'
                                  - '42'
                                  - '43'
                                  - '44'
                                  - '45'
                                  - '46'
                                  - '47'
                                  - '48'
                                  - '49'
                                  - '50'
                                  - '51'
                                  - '52'
                                  - '53'
                                  - '54'
                                  - '55'
                                  - '56'
                                  - '57'
                                  - '58'
                                  - '59'
                                  - '60'
                                  - '61'
                                  - '62'
                                  - '63'
                                  - '64'
                                  - '65'
                                  - '66'
                                  - '67'
                                  - '68'
                                  - '69'
                                  - '70'
                                  - '71'
                                  - '72'
                                  - '73'
                                  - '74'
                                  - '75'
                                  - '76'
                                  - '77'
                                  - '78'
                                  - '79'
                                  - '80'
[...]
